Skip to main content
GET
/
payment-methods
List payment methods
curl --request GET \
  --url https://api.billing.io/v1/payment-methods \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "pm_1a2b3c4d5e",
      "org_id": "<string>",
      "wallet_id": "<string>",
      "display_name": "<string>",
      "is_default": true,
      "required_confirmations": 123,
      "min_amount_usd": 123,
      "max_amount_usd": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}
List all payment methods for your organization. Optionally filter by status.
curl "https://api.billing.io/v1/payment-methods?status=active" \
  -H "Authorization: Bearer $BILLING_API_KEY"

Authorizations

Authorization
string
header
required

Use your secret API key as a Bearer token. Keys are prefixed: sk_live_ (production) or sk_test_ (sandbox).

Query Parameters

status
enum<string>
  • active — Payment method is available for use
  • disabled — Payment method has been disabled
Available options:
active,
disabled

Response

Payment method list

data
object[]
has_more
boolean
next_cursor
string | null